Bug 209860 - anaconda failed after configuration screens with an exception error line 1173.
anaconda failed after configuration screens with an exception error line 1173.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 19:47 EDT by glendee kittman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-09 11:12:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description glendee kittman 2006-10-06 19:47:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
During install on an LPAR via the HMC vterm console, when using the netboot.img via tftpboot to install from an nfs server, the install crashes after i go through the configuration process and get all the way to where I set the root password.  When I click OK on the root password screen, I get this error:  File "/usr/bin/anaconda", line 1173, in ? intf.run(id, dispatch, configFileData) File"/usr/src/build/500929-ppc/install//usr/lib/anaconda/text.py", line 510, in run

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. on new host lpar via hmc vterm, boot to sms menu
2. set static ip address
3. boot via bootp to tftp/nfs server.
4. select nfs installation
5. go though anaconda windows to select language, TZ,... thru set root password
6. click OK and get exception error.

Actual Results:
An unhandled exception has occurred.  This is
  most likely a bug.  Please copy the full text
  of this exception and file a detailed bug
  report against anaconda at
  http://bugzilla.redhat.com/bugzilla/
 
  Traceback (most recent call last):
   File "/usr/bin/anaconda", line 1173, in ?
     intf.run(id, dispatch, configFileData)
   File
  "/usr/src/build/500929-ppc/install//usr/lib/anac
  onda/text.py", line 510, in run
 
 
 
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1173, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/500929-ppc/install//usr/lib/anaconda/text.py", line 510,
in run
    dispatch.gotoNext()
  File "/usr/src/build/500929-ppc/install//usr/lib/anaconda/dispatch.py", line 1
71, in gotoNext
    self.moveStep()
  File "/usr/src/build/500929-ppc/install//usr/lib/anaconda/dispatch.py", line 2
39, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/src/build/500929-ppc/install//usr/lib/anaconda/packages.py", line 2
05, in readPackages
    id.instClass.setGroupSelection(grpset, intf)
  File "/tmp/product/installclasses/rhel.py", line 31, in setGroupSelection
    grpset.selectGroup("server", asMeta = 1)
  File "/usr/lib/anaconda/hdrlist.py", line 834, in selectGroup
    raise KeyError, "No such group %s" %(group,)
KeyError: 'No such group server'
 
> /usr/lib/anaconda/hdrlist.py(834)selectGroup()
-> raise KeyError, "No such group %s" %(group,)
(Pdb)

Expected Results:
the disk should have been partitioned, formatted and installation from nfs would have begun.

Additional info:
how do i interact with the hmc vterm at nfs boot to possibly turn of usb probe?  nousb might be the problem but I can't see how to set this with nfs install.
Comment 1 glendee kittman 2006-10-06 20:28:46 EDT
the issue might be a cp issue.  cd1 needed the ~/base directry copied to the 
AIX NFS server with the cp -hpR switches and it was only copied with the pR 
switches.  Re-copied and install is running.

i also reexported the nfs directory as root=servername, that could have fixed 
it too.

possible links were broken.

Note You need to log in before you can comment on or make changes to this bug.